Adding OpenWrt support for Xiaomi AX3600

Thank you for reply.

1 Like

Uploaded the PCB front and back images. It seems to me that they have enough resolution to see all the PCB. If someone thinks is interesting to upload some of the others images, please let me know.

1 Like

Hey folks!
I'm on some very old build (OpenWrt SNAPSHOT r0-6ccdf9a / LuCI Master git-21.355.60568-cac0349, kernel 5.10, firewall 3, mem leak problem). It is working reasonably good, but I get some weird disconnections. I'd like to upgrade now to latest robimarko's build. Should I pay attention to something (partitioning?) or can I just sysupgrade?

If you don't have changed the partition layout, you can directly sysupgrade.

2 Likes

I have backported recent ath11k changes from upstream to replace some of our downstream patches including @Ansuel peer patch which got accepted upstream.

So, as always testing would be really appreciated

10 Likes

I installed it in one extended partition. So, when sysupgrade is done, it is in softbrick state. When I unzipped the sysupgrade file, a kernel file and a root file were found. The kernel file is the same size as kernel.ubi, but the root file is different from the rootfs file. So, I can't update the kernel and rootfs respectively from ssh. I would like to know how to extract the rootfs file from a sysupgrade or factory file.

i'm not following this... with the patch and correct instruction on first installation i can correctly update with a sysupgrade image... nothing special should be required... also everything is recoverable with uart... there is nothing special in my implementation... contrary to some chinese special uboot that can hard brick the system and will make reverting to original firm a PITA

1 Like

@robimarko "libwolfssl-cpu-crypto" was rename to "libwolfsslcpu-crypto"

Ok, that changed again

problems with abi and attendedsysupgrade... totally forgot to warn you sorry

@robimarko I think the dependencie of "qca-nss-dp" also need to be rename(no more nohnat)

qca-nss-dp/Makefile#L21

I forgot to update it there, but in-tree package has the correct dependency

1 Like

Thank you! Is target/linux/ipq807x/base-files/lib/upgrade/platform.sh patch? I had been correct instruction on first installation.

I can't flash the new sysupgrade image... tried about 10 times in a row, appears to flash and reboot normally without any problem but does not upgrade.

Usually it takes 2 to 4 flashes.

Anyone with the same problem?

Try from the command line with the command:
service wpad stop & sysupgrade [path_to_the_image]

1 Like

Thank you for the help.
I end up not needing to do that, after a few minutes I tried again in the UI and upgraded on the first try.

Works as expected.

Only "issue" is that when a single core hits 100%, the CPU is not scaling up to max speed. I know we discussed this, but until we have this massive single core limit on PPPoE, it might be a good idea to set the scaling a little bit differently.

That could only be the governor issue, there isn't really anything to tweak there.
Only thing would be trying if ondemand for example works "better"

No issues found, maybe uses slightly more memory, not sure.

1 Like

Can it be changed "runtime" or I need to compile a separate image?

Memory: